diff --git a/cobbler/action_import.py b/cobbler/action_import.py
index f22395a..ce9a030 100644
--- a/cobbler/action_import.py
+++ b/cobbler/action_import.py
@@ -728,13 +728,13 @@ def guess_breed(kerneldir,path):
        [ 'RedHat/RPMS' , "redhat" ],
        [ 'RedHat/rpms' , "redhat" ],
        [ 'RedHat/Base' , "redhat" ],
-       [ 'Fedora/RPMS' , "redhat" ],
-       [ 'Fedora/rpms' , "redhat" ],
-       [ 'CentOS/RPMS' , "redhat" ],
-       [ 'CentOS/rpms' , "redhat" ],
-       [ 'CentOS'      , "redhat" ],
-       [ 'Packages'    , "redhat" ],
-       [ 'Fedora'      , "redhat" ],
+       [ 'Fedora/RPMS' , "fedora" ],
+       [ 'Fedora/rpms' , "fedora" ],
+       [ 'CentOS/RPMS' , "centos" ],
+       [ 'CentOS/rpms' , "centos" ],
+       [ 'CentOS'      , "centos" ],
+       [ 'Packages'    , "fedora" ],
+       [ 'Fedora'      , "fedora" ],
        [ 'Server'      , "redhat" ],
     ]
     guess = None
@@ -784,6 +784,10 @@ def import_factory(kerneldir,path):
 
     if breed == "redhat":
         return RedHatImporter(rootdir)
+    elif breed == "fedora":
+        return FedoraImporter(rootdir)
+    elif breed == "centos":
+        return CentosImporter(rootdir)
     elif breed == "debian":
         return DebianImporter(rootdir)
     elif breed == "ubuntu":
@@ -888,7 +892,7 @@ class RedHatImporter ( BaseImporter ) :
    # ================================================================
 
    def get_release_files(self):
-       return glob.glob(os.path.join(self.get_pkgdir(), "*release-*"))
+       return glob.glob(os.path.join(self.get_pkgdir(), "%s-release-*"%self.breed))
 
    # ================================================================
 
@@ -1026,6 +1030,20 @@ class RedHatImporter ( BaseImporter ) :
        print _("- warning: could not use distro specifics, using rhel 4 compatible kickstart")
        return None , "/etc/cobbler/legacy.ks"
 
+class FedoraImporter ( RedHatImporter ) :
+
+   def __init__(self,(rootdir,pkgdir)):
+       RedHatImporter.__init__(self,(rootdir,pkgdir))
+       self.breed = "fedora"
+
+class CentosImporter ( RedHatImporter ) :
+
+   def __init__(self,(rootdir,pkgdir)):
+       RedHatImporter.__init__(self,(rootdir,pkgdir))
+       self.breed = "centos"
+
+# ===================================================================
+
 class DebianImporter ( BaseImporter ) :
 
    def __init__(self,(rootdir,pkgdir)):
